## xmlstreambuffer 1.5.1

=== debian/changelog ===
xmlstreambuffer (1.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #732230)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 25 Feb 2014 12:23:25 +0100
