## xmlstreambuffer 1.5.4

=== debian/changelog ===
xmlstreambuffer (1.5.4-2) unstable; urgency=medium

  * Team upload.
  * New Homepage on Github
  * d/copyright:
     - Fix Source field -> Github
     - Remove old FSF address
  * d/watch:
     - version=5
     - Point to Github
  * Delete d/README.source since redundant
  * d/rules: Drop get-orig-source target
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Build-Depends: s/default-jdk/default-jdk-headless/

 -- Andreas Tille <tille@debian.org>  Fri, 14 Nov 2025 22:01:55 +0100

xmlstreambuffer (1.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - New build dependency on libmaven-bundle-plugin-java
  * Build with the DH sequencer instead of CDBS
  * Enabled the unit tests
  * Removed the unused build dependency on glassfish-activation
  * Removed the build dependency on libstax-java (provided by libstax-ex-java)
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 27 Jul 2016 22:27:29 +0200
