=== debian/watch ===
Version: 5

Template: Github
Owner: eclipse-ee4j
Project: metro-xmlstreambuffer
